This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022990 - Guest(after boot up) sometimes will hang when migrate guest(RHEL6.5-->RHEL6.0) during boot
Guest(after boot up) sometimes will hang when migrate guest(RHEL6.5-->RHEL6.0...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 08:16 EDT by langfang
Modified: 2013-10-27 22:39 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 09:47:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hang here (233.60 KB, image/png)
2013-10-24 08:18 EDT, langfang
no flags Details

  None (edit)
Description langfang 2013-10-24 08:16:13 EDT
Description of problem:

Guest(after boot up) sometimes will hang when migrate guest during boot.



Version-Release number of selected component (if applicable):

Host A:RHEL6.5
# uname -r
2.6.32-424.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.414.el6.x86_64
# rpm -q seabios
seabios-0.6.1.2-28.el6.x86_64

Host B: RHEL6.0.z
# uname -r
2.6.32-71.40.1.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.113.el6_0.8.x86_64
# rpm -q seabios
seabios-0.5.1-3.el6.x86_64


Guest:win2008r2-sp1

How reproducible:

1/15

Steps to Reproduce:
1.Boot guest on hostA(use "-M rhel6.0.0)

2.While guest during boot,do migrate guest from hostA to hostB
(qemu)migrate -d tcp:10.66.83.196:5999 

3.After migration finished 

HostA
(qemu) info migrate
Migration status: completed
total time: 14776 milliseconds
downtime: 194 milliseconds
transferred ram: 399177 kbytes
remaining ram: 0 kbytes
total ram: 4211008 kbytes

HostB
(qemu) info status
VM status: running

4.Login guest-->input password


Actual results:
Guest hang
 "Preparing your desktop...."--->please see attachment

Expected results:

Guest work well

Additional info:
Host A(rhel6.5)
Host B(rhel6.0.z)

1)Tried about 30 times ,hit 4 times. By the way hit the bug when migrate from hostA to hostB.But not hit when migrate from hostB to hostA .

2)My CLI
 /usr/libexec/qemu-kvm  -M rhel6.0.0 -enable-kvm -m 4096 -smp 4,sockets=2,cores=2,threads=1 -name win2008r2 -uuid e032ecb9-44b8-917f-c734-adb365febf48 -nodefconfig -nodefaults -monitor stdio -rtc base=utc -boot c -drive file=/mnt/win2k8-r2-sp1-install6.5host.raw,if=none,id=drive-virtio-disk0,boot=on,format=raw,cache=none -device virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0  -usb -device usb-tablet,id=input0 -vnc :10 -vga std -device AC97,id=sound0,bus=pci.0,addr=0x4 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6  -netdev tap,id=hostnet2,fd=7 -device rtl8139,netdev=hostnet2,id=net0,mac=00:10:20:2d:31:21 7<>/dev/tap7

3)MY host info-->host B
processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Xeon(R) CPU           E5205  @ 1.86GHz
stepping	: 6
cpu MHz		: 1861.914
cache size	: 6144 KB
physical id	: 3
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 7
initial apicid	: 7
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm dca sse4_1 lahf_lm tpr_shadow vnmi flexpriority
bogomips	: 3723.86
clflush size	: 64
cache_alignment	: 64
address sizes	: 38 bits physical, 48 bits virtual
power management:

Host B:

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Xeon(R) CPU           E5205  @ 1.86GHz
stepping	: 6
cpu MHz		: 1861.962
cache size	: 6144 KB
physical id	: 3
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 7
initial apicid	: 7
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm dca sse4_1 lahf_lm dts tpr_shadow vnmi flexpriority
bogomips	: 3723.86
clflush size	: 64
cache_alignment	: 64
address sizes	: 38 bits physical, 48 bits virtual
power management:
Comment 1 langfang 2013-10-24 08:18:08 EDT
Created attachment 815761 [details]
hang here
Comment 3 Qunfang Zhang 2013-10-24 20:14:34 EDT
Hi, flang
The issue happens on rhel6.5<->rhel6.5 or rhel6.5<->rhel6.0? Could you confirm and adjust the bug summary if it's the second scenario? 

Thanks.

Note You need to log in before you can comment on or make changes to this bug.